package io.renren.modules.app.dao;

import io.renren.modules.app.entity.HZzsyybbEntity;
import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 增值收益表（月报）
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-06-14 14:23:28
 */
@Mapper
public interface HZzsyybbDao extends BaseMapper<HZzsyybbEntity> {

    /**
     * 分页模糊查询
     * @param hZzsyybbEntity
     * @return
     */
    List<HZzsyybbEntity> queryByPage(HZzsyybbEntity hZzsyybbEntity);
    
    /**
     * 增值收益表公式修改
     * @param hZzsyybbEntity
     * @return
     */
    int updateZZSYYBB(HZzsyybbEntity hZzsyybbEntity);

    /**
	 * NC
	 * @return
	 */
	String selectNC(@Param("ztbm")String ztbm,@Param("kjqj")String kjqj,@Param("kmdm")String kmdm);
	
	String selectQC(@Param("ztbm")String ztbm,@Param("kjqj")String kjqj,@Param("kmdm")String kmdm);
	
	String selectQM_1(@Param("ztbm")String ztbm,@Param("kjqj")String kjqj,@Param("kmdm")String kmdm);
	
	String selectQM_else2(@Param("ztbm")String ztbm,@Param("kjqj")String kjqj,@Param("kmdm")String kmdm);
	
	String selectQM_else1(@Param("ztbm")String ztbm,@Param("kjqj")String kjqj,@Param("kmdm")String kmdm);
	
	String selectJF(@Param("ztbm")String ztbm,@Param("kjqj")String kjqj,@Param("kmdm")String kmdm);
	
	String selectDF(@Param("ztbm")String ztbm,@Param("kjqj")String kjqj,@Param("kmdm")String kmdm);
	
	String selectBNJF(@Param("ztbm")String ztbm,@Param("kjqj")String kjqj,@Param("kmdm")String kmdm);
	
	String selectBNDF(@Param("ztbm")String ztbm,@Param("kjqj")String kjqj,@Param("kmdm")String kmdm);
	
	String selectKJQJ(@Param("ztbm")String ztbm,@Param("kjqj")String kjqj);
}
